Eclipse Rich Ajax Platform

## org.eclipse.rwt.widgets
Class DialogUtil

    java.lang.Object
      org.eclipse.rwt.widgets.DialogUtil

    public final class DialogUtil

extends java.lang.Object

Utility class to work with non-blocking dialogs.

Since:
  1.5
See Also:
  `Dialog`

Method Summary
`static void` `open(Dialog dialog, DialogCallback dialogCallback)` Opens the given `dialog` in a non-blocking way and brings it to the front of the display.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### open

    public static void open(Dialog dialog,
                            DialogCallback dialogCallback)

  Opens the given `dialog` in a non-blocking way and brings it to the front of the display. If given, the `dialogCallback` is notified when the dialog is closed.

  Use this method instead of the `open()` method from the respective `Dialog` implementation when running a life cycle without a dedicated UI thread where `open()` does not block the program execution flow.

  Parameters:
    `dialog` - the dialog to open, must not be `null`.
    `dialogCallback` - the callback to be notified when the dialog was closed or `null` if no callback should be notified.
  See Also:
    `Dialog`, `DialogCallback`, `ILifeCycle`, `Application.OperationMode`

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.